Flash Player Yine Güncellendi Ama Flash'tan Kurtulmanız İçin 5 Geçerli Sebep Var

Flash Player Yine Güncellendi Ama Flash'tan Kurtulmanız İçin 5 Geçerli Sebep Var
Kaan Ezgimen
Kaan Ezgimen Yazılım
YORUM YAZ

Yapılan tüm güncellemeler, alınan önlemler Adobe Flash eklentisinin güvenli olmasını sağlayamadı. Bu yüzden Flash eklentisinin sistemlerden tamamen kaldırılması gerektiği artık bir güvenlik zorunluluğu doğuruyor. Çünkü hala Adobe Flash Player'ın en son sürümü olan 19.0.0.207 de dahil olmak üzere bir kaç eski sürümde fark edilen yeni bir güvenlik açığı, izinsiz kişilerin kullanıcıların bilgisayarlarını kolayca kontrol etmelerine yardımcı oluyor ve bu nedenle kullanıcıların kişisel gizlilikleriyle güvenliklerini tehlikeye atılabiliyor.

Hafta içerisinde yayınladığımız Adobe Flash Player'da Büyük Bir Tehlike Keşfedildi, Programı Hemen Kaldırın! Haberimizden sonra, bu eklentiyi neye dayanarak kaldırmanız gerektiğini de açıklamak istedik. İşte Adobe Flash’tan kurtulmak için 5 geçerli sebep.

Güncellenme rekoru Flash’ta

Adobe en son 19 Ekim 2015'te yayınlanacak olan yeni bir sürümle saptanan yeni açıkların giderileceği belirtiliyordu. Ancak durumun vehametini kavrayarak bu güncellemeyi öne aldı. Firefox ve Chrome tarayıcılar bu güncellemeleri bugünden itibaren otomatik olarak alacaklar. Performans sıkıntıları ve aynı zamanda güvenlik açıkları yaratan  CVE-2015-7645 olarak adlandırılan ve yukarıda bahsettiğimiz yeni bir açık da bugün yayınlanan bir yamayla ortadan kaldırıldı. Ama her şey bununla bitmiyordu, Flash eklentisinde 10’un üzerinde açık daha yakalandı ve hemen bunlarda yamalandı. Böylece Flash Player sürümü 10.0.0.226'ya güncellenmiş oldu.

Flash artık çok kullanılmıyor

Flash destekleyen web sitelerinin sayısı gittikçe azaldı. İnternet üzerinde Flash destekleyen web sitelerinin yüzde 10’u bile bulmadığı açıklandı. HTML5 gibi güvenli bir alt yapı varken hala Flash kullanmanın bir gereği yok.

Flash açıkları saymakla bitmiyor

Adobe son yatığı güncellemeyle Flash eklentisi üzerinde 10’dan fazla açığı kapattığını açıklamıştı. Bu rakam oldukça ürkütücü. Öte yandan açıkların tamamen bitmiş olduğu garantisi verilmiyor. Bu yüzden Flash kullanmamak çok daha mantıklı görünüyor.

Bir tek platformu etkilemiyor

Tüm Flash açıkları bir tek platformu işaret etmiyorlar. Linux, Windows ve Mac kullanıcıları aynı sıkıntılara maruz kalıyorlar. Mac ve Windows için Chrome Flash Player 19.0.0.207 ve öncesi, Mac ve Windows için Chrome Flash Player genişletilmiş destek versiyonu 18.0.0.252 ve öncesi, Windows 10’da Microsoft Edge/Internet Explorer 11, Windows 8 ve 8.1’de Internet Explorer 10 ve 11 için Flash ve Linux için Flash 11.2.202.535 sürümü güvenlik açığına hassas sürümler arasında bulunuyorlar.

Paranoya yaşamaktan kurtulun

Flash alt yapısını bir türlü kararlı ve güvenli bir kod üzerine oturtamayan Adobe’un Flash güncellerini beklemek risk taşıyor. Bu zaman zarfı içinde sistemlerde sıkıntılar ve güvenlik açıkları oluşmaya devam ediyor. Bu yüzden bu eklentinin “fişini çekmek” son derece yerinde bir karar. Flash’ı asla varsayılan bir uygulama olarak kullanmamak, gerekirse tarayıcılardan engellemek en doğru seçim.

Mozilla Firefox, Adobe Flash Player Eklentisini Tamamen Kaldırıyor

Mozilla Firefox, Adobe'u Hizaya Getirdi, Flash Player Güncellendi

YORUMLAR